import { jsx } from "react/jsx-runtime";
import { HairDryer as HairDryer$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HairDryer = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "HairDryer", ...props, children: /* @__PURE__ */ jsx(HairDryer$1, { weight: variant }) });
  }
);
HairDryer.displayName = "HairDryer";
Object.assign(HairDryer, { isGdsIcon: true });
export {
  HairDryer
};
